Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: Graphic card/VLC optimisation

  1. #1
    Join Date
    Jun 2016
    Location
    Ireland
    Posts
    246

    Default Graphic card/VLC optimisation

    Hi,
    Fresh install Leap 42.3. VLC displays only with OpenGL GLX video output (VCB) selected.
    I'd like to optimise my video configuration.
    Code:
    sudo lspci -v | grep VGA
        Flags: bus master, VGA palette snoop, 66MHz, medium devsel, latency 64
    01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 520] (rev a1) (prog-if 00 [VGA controller])
    
    zypper lr -d
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    # | Alias                               | Name                        | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                     | Service
    --+-------------------------------------+-----------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------+--------
    1 | download.opensuse.org-non-oss       | Main Repository (NON-OSS)   | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/       |        
    2 | download.opensuse.org-non-oss_1     | Update Repository (Non-Oss) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/                  |        
    3 | download.opensuse.org-oss           | Main Repository (OSS)       | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.3/repo/oss/           |        
    4 | download.opensuse.org-oss_1         | Main Update Repository      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.3/oss                       |        
    5 | http-download.opensuse.org-27fc9936 | utilities                   | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/utilities/openSUSE_Leap_42.3/ |        
    6 | libdvdcss                           | libdvdcss                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.3/                      |        
    7 | packman                             | packman                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.3/      |        
    
    
    zypper se -si vlc
    Loading repository data...
    Reading installed packages...
    
    S  | Name             | Type        | Version   | Arch   | Repository            
    ---+------------------+-------------+-----------+--------+-----------------------
    i+ | VLC Media player | application |           | noarch | Main Repository (OSS) 
    i+ | VLC Media player | application |           | noarch | Main Update Repository
    i  | libvlc5          | package     | 2.2.6-8.3 | x86_64 | packman               
    i  | libvlccore8      | package     | 2.2.6-8.3 | x86_64 | packman               
    i+ | vlc              | package     | 2.2.6-8.3 | x86_64 | packman               
    i+ | vlc-codecs       | package     | 2.2.6-8.3 | x86_64 | packman               
    i  | vlc-noX          | package     | 2.2.6-8.3 | x86_64 | packman               
    i  | vlc-qt           | package     | 2.2.6-8.3 | x86_64 | packman               
    
    
    sudo zypper dup --from packman
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    
    Nothing to do.
    
    zypper in vlc-codecs libxine2-codecs
    Loading repository data...
    Reading installed packages...
    'vlc-codecs' is already installed.
    No update candidate for 'vlc-codecs-2.2.6-8.3.x86_64'. The highest available version is already installed.
    'libxine2-codecs' is already installed.
    No update candidate for 'libxine2-codecs-1.2.8-127.5.x86_64'. The highest available version is already installed.
    Resolving package dependencies...
    
    Nothing to do.
    Should I install Nvidia driver? I can't find the driver for my card GeForce GT 520.
    Thanks for your help

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,286

    Default Re: Graphic card/VLC optimisation

    Believe the 520 card is no longer supported in the NVIDIA drivers. NVIDIAs way to nudge you to buy a new one

  3. #3
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,721

    Default AW: Re: Graphic card/VLC optimisation

    Quote Originally Posted by gogalthorp View Post
    Believe the 520 card is no longer supported in the NVIDIA drivers. NVIDIAs way to nudge you to buy a new one
    Thats a Geforce 500 Card, supported by all actual Drivers (G04) or also by the G03 and G02 Driver.

  4. #4
    Join Date
    Jun 2016
    Location
    Ireland
    Posts
    246

    Default Re: Graphic card/VLC optimisation

    Thank you for your answers.

    I installed nvidia driver with Yast from here
    https://en.opensuse.org/SDB:NVIDIA_drivers
    However, I can't see any change even can't find the driver config.
    I tried Journalctl -r and journalctl -u nvidia, nothing returned.
    Yast history shows "download.nvidia.com-leap" but noting seems to be installed.
    Display shows the usual interface.

    In Yast, Repositories, nVidia Graphic Drives has 12 packages but no one is ticked (installed)

    How I could test what driver is running? How to install now, without mess?

  5. #5
    Join Date
    Jun 2016
    Location
    Ireland
    Posts
    246

    Default Re: Graphic card/VLC optimisation

    For Information
    Code:
    zypper pa -r https://download.nvidia.com/opensuse/leap/42.3
    Loading repository data...
    Reading installed packages...
    S | Repository              | Name                          | Version                | Arch  
    --+-------------------------+-------------------------------+------------------------+-------
      | nVidia Graphics Drivers | nvidia-computeG02             | 304.137-12.1           | x86_64
      | nVidia Graphics Drivers | nvidia-computeG03             | 340.104-11.1           | x86_64
      | nVidia Graphics Drivers | nvidia-computeG04             | 384.98-29.1            | x86_64
      | nVidia Graphics Drivers | nvidia-gfxG02-kmp-default     | 304.137_k4.4.76_1-12.1 | x86_64
      | nVidia Graphics Drivers | nvidia-gfxG03-kmp-default     | 340.104_k4.4.76_1-11.1 | x86_64
      | nVidia Graphics Drivers | nvidia-gfxG04-kmp-default     | 384.98_k4.4.76_1-29.1  | x86_64
      | nVidia Graphics Drivers | nvidia-glG03                  | 340.104-11.1           | x86_64
      | nVidia Graphics Drivers | nvidia-glG04                  | 384.98-29.1            | x86_64
      | nVidia Graphics Drivers | nvidia-uvm-gfxG03-kmp-default | 340.104_k4.4.76_1-11.1 | x86_64
      | nVidia Graphics Drivers | x11-video-nvidiaG02           | 304.137-12.1           | x86_64
      | nVidia Graphics Drivers | x11-video-nvidiaG03           | 340.104-11.1           | x86_64
      | nVidia Graphics Drivers | x11-video-nvidiaG04           | 384.98-29.1            | x86_64
    Nothing installed

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Graphic card/VLC optimisation

    you should do
    Code:
    zypper inr
    to install the appropriate driver for your card
    I'd say the 520 should use the G04 driver
    I should note that the noveau driver does not support any hardware video decoding so yes the propitiatory driver is needed for optimal vlc usage
    from
    https://nouveau.freedesktop.org/wiki/VideoAcceleration/
    VP1/2/3/4/5 all require firmware to operate that is presently extracted from the NVIDIA binary driver. We cannot redistribute the firmware directly in linux-firmware because NVIDIA's license forbids redistribution of parts of their driver.

  7. #7
    Join Date
    Jun 2016
    Location
    Ireland
    Posts
    246

    Default Re: Graphic card/VLC optimisation

    Code:
    zypper inr
    Had nothing to do???!!!

  8. #8
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,721

    Default AW: Graphic card/VLC optimisation

    As root:
    Code:
    zypper in x11-video-nvidiaG04
    That should install all four G04 Packages.

  9. #9
    Join Date
    Jun 2016
    Location
    Ireland
    Posts
    246

    Default Re: Graphic card/VLC optimisation

    I am careful, I need your expertise again here
    Code:
    zypper in x11-video-nvidiaG04
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: x11-video-nvidiaG04-384.98-29.1.x86_64 requires nvidia-gfxG04-kmp = 384.98, but this requirement cannot be provided
      uninstallable providers: nvidia-gfxG04-kmp-default-384.98_k4.4.76_1-29.1.x86_64[download.nvidia.com-leap]
     Solution 1: install nvidia-gfxG04-kmp-default-384.98_k4.4.76_1-29.1.x86_64 (with vendor change)
      openSUSE  -->  obs://build.suse.de/Proprietary:X11:Drivers
     Solution 2: do not install x11-video-nvidiaG04-384.98-29.1.x86_64
     Solution 3: break x11-video-nvidiaG04-384.98-29.1.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/3/c] (c):

  10. #10
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Graphic card/VLC optimisation

    try
    Code:
    zypper in x11-video-nvidiaG04
    first off is that a laptop or a desktop
    if it's a laptop it might need bumblebee
    https://en.opensuse.org/SDB:NVIDIA_Bumblebee
    what kind of cpu do you have if it's a newer intel i-series or amd apu you have two graphic cards and you need to select the pci-e as the proffered one this is done in bios
    what's the output of
    Code:
    sudo lspci | grep VGA

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •